Skip to main content
GET
/
namespaces
/
{namespaceId}
JavaScript
import Nuntly from '@nuntly/sdk';

const client = new Nuntly({
  apiKey: process.env['NUNTLY_API_KEY'], // This is the default and can be omitted
});

const namespaceDetail = await client.namespaces.retrieve('ns_01kabn43yqyxn2bx4ve84mczd3');

console.log(namespaceDetail.id);
{
  "data": {
    "id": "<string>",
    "createdAt": "<string>",
    "name": "<string>",
    "externalId": "<string>",
    "status": "active",
    "totalInboxes": 123,
    "activeInboxes": 123,
    "updatedAt": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer HTTP authentication. Allowed headers Authorization: Bearer <API_KEY>

Path Parameters

namespaceId
string
required

The id of the namespace

Example:

"ns_01kabn43yqyxn2bx4ve84mczd3"

Response

Successful response.

data
object
required